Skip to main content
GET
/
refunds
/
{id}
Typescript (SDK)
import { Crevio } from "@crevio/sdk";

const crevio = new Crevio({
  apiKey: process.env["CREVIO_API_KEY"] ?? "",
});

async function run() {
  const result = await crevio.refunds.get({
    id: "<id>",
  });

  console.log(result);
}

run();
{
  "id": "<string>",
  "object": "<string>",
  "amount": 123,
  "currency": "<string>",
  "reason": "<string>",
  "status": "<string>",
  "created_at": "<string>",
  "provider": "<string>",
  "metadata": {},
  "order": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.crevio.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Path Parameters

id
string
required

The resource ID (e.g., "prod_abc123") or slug (e.g., "my-product")

Response

Refund details

id
string
required
object
string
required
amount
integer
required
currency
string
required
reason
string
required
status
string
required
created_at
string
required
provider
string
required
metadata
object
required
order
string
required